net.snowflake.client.core

## Interface DataConversionContext

All Known Implementing Classes:
  SFArrowResultSet

    public interface DataConversionContext

This class contains formatter info about each data type and related flags etc. And it is scoped to a single result set. a.k.a each result set object should have its own formatter info

### Method Summary

All Methods Instance Methods Abstract Methods
`net.snowflake.common.core.SFBinaryFormat` `getBinaryFormatter()` binary formatter
`net.snowflake.common.core.SnowflakeDateTimeFormat` `getDateFormatter()` date formatter
`boolean` `getHonorClientTZForTimestampNTZ()`
`long` `getResultVersion()`
`int` `getScale(int columnIndex)` get scale from Snowflake metadata
`SFBaseSession` `getSession()`
`net.snowflake.common.core.SnowflakeDateTimeFormat` `getTimeFormatter()` time formatter
`net.snowflake.common.core.SnowflakeDateTimeFormat` `getTimestampLTZFormatter()` timestamp_ltz formatter
`net.snowflake.common.core.SnowflakeDateTimeFormat` `getTimestampNTZFormatter()` timestamp_ntz formatter
`net.snowflake.common.core.SnowflakeDateTimeFormat` `getTimestampTZFormatter()` timestamp_tz formatter
`TimeZone` `getTimeZone()`

### Method Detail

#### getTimestampLTZFormatter

    net.snowflake.common.core.SnowflakeDateTimeFormat getTimestampLTZFormatter()

timestamp_ltz formatter

#### getTimestampNTZFormatter

    net.snowflake.common.core.SnowflakeDateTimeFormat getTimestampNTZFormatter()

timestamp_ntz formatter

#### getTimestampTZFormatter

    net.snowflake.common.core.SnowflakeDateTimeFormat getTimestampTZFormatter()

timestamp_tz formatter

#### getDateFormatter

    net.snowflake.common.core.SnowflakeDateTimeFormat getDateFormatter()

date formatter

#### getTimeFormatter

    net.snowflake.common.core.SnowflakeDateTimeFormat getTimeFormatter()

time formatter

#### getBinaryFormatter

    net.snowflake.common.core.SFBinaryFormat getBinaryFormatter()

binary formatter

#### getScale

    int getScale(int columnIndex)

get scale from Snowflake metadata

#### getSession

    SFBaseSession getSession()

Returns:
  current session

#### getTimeZone

    TimeZone getTimeZone()

Returns:
  session time zone

#### getHonorClientTZForTimestampNTZ

    boolean getHonorClientTZForTimestampNTZ()

Returns:
  whether to honor client time zone for timestamp_ntz

#### getResultVersion

    long getResultVersion()

Returns:
  result version